/// <reference types="node" />
import { PublicKey } from '@metaplex-foundation/umi';
export type Recipient = {
    address: PublicKey;
    amount: number | bigint;
    nonce?: number | bigint;
};
export declare function prepareDistribution(recipients: Recipient[]): {
    root: Buffer;
    proofs: Buffer[][];
};
export declare function hashDistroLeaf(recipient: Recipient): Buffer;
